/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 03404
 |       DRUG ABUSE TREATMENT OUTCOME STUDY--ADOLESCENT (DATOS-A),
 |                       1993-1995: [UNITED STATES]
 |                     (DATASET 0008:  MEASURES DATA)
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace CASEID = . if (CASEID <= -1 )
replace INTAKE2 = . if (INTAKE2 <= -1 )
replace ADHD = . if (ADHD <= -1 )
replace CONDUCT = . if (CONDUCT <= -1 )
replace DEPRESS = . if (DEPRESS <= -1 )
replace OA = . if (OA <= -1 )
replace PANIC = . if (PANIC <= -1 )
replace HER3R = . if (HER3R <= -1 )
replace COC3R = . if (COC3R <= -1 )
replace ALC3R = . if (ALC3R <= -1 )
replace MJ3R = . if (MJ3R <= -1 )


